Merge remote-tracking branch 'puppetlabs/master'
[puppet_vcsrepo.git] / metadata.json
1 {
2   "name": "puppetlabs-vcsrepo",
3   "version": "1.4.0",
4   "author": "Puppet Labs",
5   "summary": "Puppet module providing a type to manage repositories from various version control systems",
6   "license": "GPL-2.0+",
7   "source": "https://github.com/puppetlabs/puppetlabs-vcsrepo",
8   "project_page": "https://github.com/puppetlabs/puppetlabs-vcsrepo",
9   "issues_url": "https://tickets.puppetlabs.com/browse/MODULES",
10   "dependencies": [
11   
12   ],
13   "operatingsystem_support": [
14     {
15       "operatingsystem": "RedHat",
16       "operatingsystemrelease": [
17         "5",
18         "6",
19         "7"
20       ]
21     },
22     {
23       "operatingsystem": "CentOS",
24       "operatingsystemrelease": [
25         "5",
26         "6",
27         "7"
28       ]
29     },
30     {
31       "operatingsystem": "OracleLinux",
32       "operatingsystemrelease": [
33         "5",
34         "6",
35         "7"
36       ]
37     },
38     {
39       "operatingsystem": "Scientific",
40       "operatingsystemrelease": [
41         "5",
42         "6",
43         "7"
44       ]
45     },
46     {
47       "operatingsystem": "SLES",
48       "operatingsystemrelease": [
49         "10 SP4",
50         "11 SP1",
51         "12"
52       ]
53     },
54     {
55       "operatingsystem": "Debian",
56       "operatingsystemrelease": [
57         "6",
58         "7",
59         "8"
60       ]
61     },
62     {
63       "operatingsystem": "Ubuntu",
64       "operatingsystemrelease": [
65         "10.04",
66         "12.04",
67         "14.04",
68         "16.04"
69       ]
70     }
71   ],
72   "requirements": [
73     {
74       "name": "puppet",
75       "version_requirement": ">= 3.0.0 < 5.0.0"
76     }
77   ]
78 }